<?php

namespace Plugins\Sms\Contracts;

interface PatternSmsDriverInterface extends SmsDriverInterface
{
    public function sendByPattern(string $to, string $patternName): Response;

    public function getPatternEndpoint(): string;
}
